Package io.vertx.config.vault.client

## Class Lookup

- java.lang.Object
- - io.vertx.config.vault.client.Lookup

-     public class Lookup
      extends Object

  Represents Lookup result
  Author:
    Clement Escoffier

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Lookup()` |
    `Lookup​(JsonObject json)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getAccessor()` |
    `long` | `getCreationTime()` |
    `long` | `getCreationTTL()` |
    `String` | `getDisplayName()` |
    `long` | `getExplicitMaxTTL()` |
    `String` | `getId()` |
    `long` | `getLastRenewalTime()` |
    `JsonObject` | `getMetadata()` |
    `long` | `getNumUses()` |
    `String` | `getPath()` |
    `List<String>` | `getPolicies()` |
    `long` | `getTtl()` |
    `boolean` | `isOrphan()` |
    `boolean` | `isRenewable()` |
    `Lookup` | `setAccessor​(String accessor)` |
    `Lookup` | `setCreationTime​(long creationTime)` |
    `Lookup` | `setCreationTTL​(long creationTTL)` |
    `Lookup` | `setDisplayName​(String displayName)` |
    `Lookup` | `setExplicitMaxTTL​(long explicitMaxTTL)` |
    `Lookup` | `setId​(String id)` |
    `Lookup` | `setLastRenewalTime​(long lastRenewalTime)` |
    `Lookup` | `setMetadata​(JsonObject metadata)` |
    `Lookup` | `setNumUses​(long numUses)` |
    `Lookup` | `setOrphan​(boolean orphan)` |
    `Lookup` | `setPath​(String path)` |
    `Lookup` | `setPolicies​(List<String> policies)` |
    `Lookup` | `setRenewable​(boolean renewable)` |
    `Lookup` | `setTtl​(long ttl)` |
    `JsonObject` | `toJson()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Lookup

          public Lookup()

    - #### Lookup

          public Lookup​(JsonObject json)

  - ### Method Detail

    - #### getAccessor

          public String getAccessor()

    - #### setAccessor

          public Lookup setAccessor​(String accessor)

    - #### getCreationTime

          public long getCreationTime()

    - #### setCreationTime

          public Lookup setCreationTime​(long creationTime)

    - #### getCreationTTL

          public long getCreationTTL()

    - #### setCreationTTL

          public Lookup setCreationTTL​(long creationTTL)

    - #### getDisplayName

          public String getDisplayName()

    - #### setDisplayName

          public Lookup setDisplayName​(String displayName)

    - #### getExplicitMaxTTL

          public long getExplicitMaxTTL()

    - #### setExplicitMaxTTL

          public Lookup setExplicitMaxTTL​(long explicitMaxTTL)

    - #### getId

          public String getId()

    - #### setId

          public Lookup setId​(String id)

    - #### getLastRenewalTime

          public long getLastRenewalTime()

    - #### setLastRenewalTime

          public Lookup setLastRenewalTime​(long lastRenewalTime)

    - #### getNumUses

          public long getNumUses()

    - #### setNumUses

          public Lookup setNumUses​(long numUses)

    - #### isOrphan

          public boolean isOrphan()

    - #### setOrphan

          public Lookup setOrphan​(boolean orphan)

    - #### getPath

          public String getPath()

    - #### setPath

          public Lookup setPath​(String path)

    - #### getPolicies

          public List<String> getPolicies()

    - #### setPolicies

          public Lookup setPolicies​(List<String> policies)

    - #### getTtl

          public long getTtl()

    - #### setTtl

          public Lookup setTtl​(long ttl)

    - #### isRenewable

          public boolean isRenewable()

    - #### setRenewable

          public Lookup setRenewable​(boolean renewable)

    - #### getMetadata

          public JsonObject getMetadata()

    - #### setMetadata

          public Lookup setMetadata​(JsonObject metadata)

    - #### toJson

          public JsonObject toJson()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`